<html>
<head>
</head>
<body style="background: transparent;">
    <script src="scripts/docstrap.lib.js"></script>
    <script src="scripts/lunr.min.js"></script>
    <script src="scripts/fulltext-search.js"></script>

    <script type="text/x-docstrap-searchdb">
    {"index.js.html":{"id":"index.js.html","title":"Source: index.js","body":" ng-crudmaker docs Global firstMethodgetUsersgetUserById Source: index.js import axios from \"axios\"; /** * @method firstMethod * @param {string} text any text do yo want * @returns {string} */ const firstMethod = (text) =&gt; { return \"hello world\"; }; /** * Obtener todos los usuarios * @method getUsers * @async * @returns {Object} retorna usuarios */ const getUsers = async () =&gt; { return await axios .get(`http://jsonplaceholder.typicode.com/users`) .then((response) =&gt; res.json(response.data)) .catch((err) =&gt; console.error(err)); }; /** * Obtener usuario por ID * @method getUserById * @async * @param {string} userId recibe un string del userId * @returns {Object} retorna usurio por ID */ const getUserById = async (userId) =&gt; { return await axios .get(`http://jsonplaceholder.typicode.com/users/${userId}`) .then((response) =&gt; res.json(response.data)) .catch((err) =&gt; console.error(err)); }; × Search results Close Documentation generated by JSDoc 3.6.6 on 2020-12-02T11:38:41-04:00 using the DocStrap template. "},"global.html":{"id":"global.html","title":"Global","body":" ng-crudmaker docs Global firstMethodgetUsersgetUserById Global Methods firstMethod(text) Parameters: Name Type Description text string any text do yo want Source: index.js, line 3 Returns: Type string &lt;async&gt; getUsers() Obtener todos los usuarios Source: index.js, line 12 Returns: retorna usuarios Type Object &lt;async&gt; getUserById(userId) Obtener usuario por ID Parameters: Name Type Description userId string recibe un string del userId Source: index.js, line 25 Returns: retorna usurio por ID Type Object × Search results Close Documentation generated by JSDoc 3.6.6 on 2020-12-02T11:38:41-04:00 using the DocStrap template. "},"index.html":{"id":"index.html","title":"Index","body":" ng-crudmaker docs Global firstMethodgetUsersgetUserById × Search results Close Documentation generated by JSDoc 3.6.6 on 2020-12-02T11:38:41-04:00 using the DocStrap template. "}}
    </script>

    <script type="text/javascript">
        $(document).ready(function() {
            Searcher.init();
        });

        $(window).on("message", function(msg) {
            var msgData = msg.originalEvent.data;

            if (msgData.msgid != "docstrap.quicksearch.start") {
                return;
            }

            var results = Searcher.search(msgData.searchTerms);

            window.parent.postMessage({"results": results, "msgid": "docstrap.quicksearch.done"}, "*");
        });
    </script>
</body>
</html>
